module.exports = function(grunt){
	grunt.initConfig({
		pkg : grunt.file.readJSON("package.json"),
		uglify : {
			options : {
				banner: "/*! jquery.<%= pkg.name %>.js v<%= pkg.version%> <%= grunt.template.today('yyyy-mm-dd') %> */\n"
			},
			build : {
				src: 'js/jquery.<%= pkg.name %>.js',
				dest: 'js/jquery.<%= pkg.name %>.min.js'
			}
		},
		jquerymanifest: {
			options: {
				source : "package.json",
				overrides : {
					"title" : "<%= pkg.title %>",
					"dependencies" : {
						"jquery" : "2.0.x"
					},
					"author": {
						"email": "<%= pkg.author.email %>",
						"name": "<%= pkg.author.name %>",
						"url": "<%= pkg.author.url %>"
					},
					"homepage" : "<%= pkg.homepage %>",
					"docs" : "<%= pkg.homepage %>",
					"demo" : "<%= pkg.homepage %>"
				}
			}
		}
	});

	grunt.registerTask("default", ["jquerymanifest", "uglify"]);

	grunt.loadNpmTasks("grunt-contrib-uglify");
	grunt.loadNpmTasks("grunt-jquerymanifest");
}
